<?php
include('conn.php');
// Start the session
session_start();

// Check if there's an alert message in the session
if (isset($_SESSION['alert_message'])) {
    echo "<script>alert('" . $_SESSION['alert_message'] . "');</script>";

    // Unset the alert message after it has been displayed
    unset($_SESSION['alert_message']);
}

if (isset($_POST['login'])) {
    $username = $_POST['username'];
    $password = $_POST['password'];

    $sql = "SELECT * FROM admin WHERE username = :username";
    $stmt = $conn->prepare($sql);
    $stmt->execute(['username' => $username]);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$user) {
        $error = "Username not found!";
    } elseif ($password !== $user['password']) {
        $error = "Incorrect password!";
    } else {
        $_SESSION['login'] = $user['username'];  // Store username in session
        $_SESSION['admin_id'] = $user['id'];  // Store full name for profile
        header("Location: ./dashboard.php");
        exit();
    }
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>RCCGDTCE | Admin Login</title>
    <link rel="shortcut icon" type="image/x-icon" href="./dist/img/icon2.png">
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- FontAwesome for icons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
    
    <style>
        /* Animated Background */
        body {
            margin: 0;
            padding: 0;
            height: 100vh;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            background: linear-gradient(135deg, #1e3c72, #2a5298);
            animation: gradientAnimation 6s infinite alternate;
        }

        @keyframes gradientAnimation {
            0% { background: linear-gradient(135deg, #1e3c72, #2a5298); }
            100% { background: linear-gradient(135deg, #2a5298, #1e3c72); }
        }

        /* Centered Login Form */
        .login-container {
            background: rgba(255, 255, 255, 0.1);
            border-radius: 15px;
            backdrop-filter: blur(10px);
            padding: 30px;
            width: 400px;
            text-align: center;
            box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
            color: white;
        }

        .login-container img {
            width: 100px;
            margin-bottom: 10px;
        }

        .form-control {
            background: transparent;
            border: 2px solid rgba(255, 255, 255, 0.3);
            color: white;
        }

        .form-control::placeholder {
            color: rgba(255, 255, 255, 0.7);
        }

        .form-control:focus {
            background: transparent;
            border-color: white;
        }

        .btn-login {
            background-color: #28a745;
            border: none;
            padding: 10px;
            font-size: 16px;
        }

        .btn-login:hover {
            background-color: #218838;
        }

        .icon {
            position: absolute;
            left: 10px;
            top: 50%;
            transform: translateY(-50%);
            color: black; /* Changed to black */
        }

        .input-group {
            position: relative;
        }

        .password-container {
            position: relative;
        }

        .toggle-password {
            position: absolute;
            right: 10px;
            top: 50%;
            transform: translateY(-50%);
            cursor: pointer;
            color: black; /* Changed to black */
        }

        .forgot-link {
            display: block;
            margin-top: 10px;
            color: white;
            text-decoration: none;
        }

        .forgot-link:hover {
            text-decoration: underline;
        }

        /* Footer */
        .footer {
            position: absolute;
            bottom: 10px;
            color: white;
            font-size: 14px;
            text-align: center;
        }
    </style>
</head>
<body>

<div class="login-container">
    <img src="./dist/img/dtce.png" alt="DTCE Logo">
    <h3 class="mb-3">Admin Login</h3>

    <?php if (isset($error)): ?>
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <i class="fas fa-exclamation-triangle"></i> <?= $error; ?>
            <button type="button" class="btn-close" data-bs-dismiss="alert"></button>
        </div>
    <?php endif; ?>

    <form method="post" action="">
        <div class="mb-3">
            <div class="input-group">
                <span class="icon"><i class="fas fa-user"></i></span>
                <input type="text" name="username" class="form-control ps-4" placeholder="Username" required>
            </div>
        </div>

        <div class="mb-3">
            <div class="input-group password-container">
                <span class="icon"><i class="fas fa-lock"></i></span>
                <input type="password" id="password" name="password" class="form-control ps-4" placeholder="Password" required>
                <span class="toggle-password" onclick="togglePassword()">
                    <i class="fas fa-eye" id="eye-icon"></i>
                </span>
            </div>
        </div>

        <button type="submit" name="login" class="btn btn-login w-100 mt-3">Login</button>
    </form>

    <a href="#" class="forgot-link">Forgot Password?</a>
    <a href="#" class="forgot-link">Contact Super Admin</a>
</div>

<!-- Footer -->
<div class="footer">
    &copy; <?php echo date("Y"); ?> RCCGDTCE | All Rights Reserved.
</div>

<!-- Bootstrap 5 & JavaScript -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
<script>
    function togglePassword() {
        var passwordField = document.getElementById("password");
        var eyeIcon = document.getElementById("eye-icon");
        
        if (passwordField.type === "password") {
            passwordField.type = "text";
            eyeIcon.classList.remove("fa-eye");
            eyeIcon.classList.add("fa-eye-slash");
        } else {
            passwordField.type = "password";
            eyeIcon.classList.remove("fa-eye-slash");
            eyeIcon.classList.add("fa-eye");
        }
    }
</script>

</body>
</html>
