<?php
session_start();
include("../conn.php"); // Database connection

if (!isset($_SESSION['dashboard'])) {
    echo "<script>alert('Please Login!'); location.href='index.php';</script>";
    exit;
}

// Fetch approved payments
$stmt = $conn->query("SELECT * FROM bank WHERE status = 'Approved'");
$payments = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Approved Payments</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
</head>
<body class="container mt-4">

    <h2 class="mb-4">Approved Payments</h2>

    <table id="paymentsTable" class="table table-bordered table-striped">
        <thead>
            <tr>
                <th>#</th>
                <th>Transaction Details</th>
                <th>Transaction Date</th>
                <th>Lodgment (Deposits)</th>
                <th>Approved By</th>
                <th>Status</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($payments as $index => $payment): ?>
                <tr>
                    <td><?= $index + 1 ?></td>
                    <td><?= htmlspecialchars($payment['name']) ?></td>
                    <td><?= htmlspecialchars($payment['date']) ?></td>
                    <td><?= htmlspecialchars($payment['cash']) ?></td>
                    <td><?= htmlspecialchars($payment['approved_by']) ?></td>
                    <td><span class="badge bg-success"><?= htmlspecialchars($payment['status']) ?></span></td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>

    <script>
        $(document).ready(function() {
            $('#paymentsTable').DataTable();
        });
    </script>

</body>
</html>
