<?php
session_start();
include '../conn.php';

if (isset($_GET['region'])) {
    $region = $_GET['region'];

    // Debugging line
    error_log("Fetching provinces for region: " . $region);

    try {
        // Fetch provinces sorted numerically based on the last number
        $stmt = $conn->prepare("SELECT province 
                                FROM province 
                                WHERE region = :region 
                                ORDER BY CAST(SUBSTRING_INDEX(province, ' ', -1) AS UNSIGNED) ASC");
                                
        $stmt->bindValue(':region', $region, PDO::PARAM_STR);
        $stmt->execute();
        $provinces = $stmt->fetchAll(PDO::FETCH_ASSOC);

        // Return the provinces as JSON
        echo json_encode($provinces);

    } catch (PDOException $e) {
        echo json_encode(["error" => "Error fetching provinces: " . $e->getMessage()]);
    }
} else {
    echo json_encode([]);
}
?>
