<?php
// Start session and include database connection
session_start();
require_once "conn.php"; // Ensure this file contains your PDO connection setup

// Redirect to login if not logged in
if (!isset($_SESSION['login'])) {
    // Set the session variable for the alert message
    $_SESSION['alert_message'] = "You need to log as an Admin to gain Access!";

    // Redirect to the login page
    header("Location: admin_login.php");
    exit();
}

?>


<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Super Admin Dashboard | RCCG</title>

    <!-- Dependencies -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <link rel="stylesheet" href="plugins/password-requirement/css/jquery.passwordRequirements.css">
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="cookies/cookieconsent.css">
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <link rel="stylesheet" href="dist/css/custom.css">
    <link rel="stylesheet" href="dist/css/login_style.css">
    <link rel="stylesheet" href="assets/css/mystyle.css">
    <link rel="stylesheet" href="dist/css/animate.min.css">
    <link href="plugins/intl-tel-input-17.0.0/build/css/intlTelInput.min.css" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="dist/img/icon2.png" type="image/x-icon">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- Include ApexCharts CSS -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/apexcharts@3.27.3/dist/apexcharts.css">
    <link rel="shortcut icon" href="dist/img/icon2.png" type="image/x-icon">
    <!-- AdminLTE -->
    <script src="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/js/adminlte.min.js"></script>


    <style>
        /* General Styling for the Cards */
.small-box {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

/* Add Hover Effect on Cards: Zoom Effect */
.small-box:hover {
    transform: scale(1.05); /* Zoom effect when hovering over the card */
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

/* Animate cards when they appear on the screen */
@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(30px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.small-box {
    animation: fadeInUp 1s ease-out forwards;
}

/* Delayed animations for each card */
.col-lg-3.col-md-6.col-12:nth-child(1) .small-box {
    animation-delay: 0.1s;
}

.col-lg-3.col-md-6.col-12:nth-child(2) .small-box {
    animation-delay: 0.2s;
}

.col-lg-3.col-md-6.col-12:nth-child(3) .small-box {
    animation-delay: 0.3s;
}

.col-lg-3.col-md-6.col-12:nth-child(4) .small-box {
    animation-delay: 0.4s;
}

.col-lg-3.col-md-6.col-12:nth-child(5) .small-box {
    animation-delay: 0.5s;
}

.col-lg-3.col-md-6.col-12:nth-child(6) .small-box {
    animation-delay: 0.6s;
}

.col-lg-3.col-md-6.col-12:nth-child(7) .small-box {
    animation-delay: 0.7s;
}

        .dark-mode {
            background-color: #222;
            color: white;
        }

        .dark-mode .navbar,
        .dark-mode .main-footer,
        .dark-mode .main-sidebar {
            background-color: #333 !important;
            color: white !important;
        }

        .dark-mode .main-sidebar .nav-link,
        .dark-mode .main-sidebar .brand-link,
        .dark-mode .main-footer {
            color: white !important;
        }

        .dark-mode .dropdown-menu {
            background-color: #444 !important;
            color: white !important;
        }

        .dark-mode .dropdown-item {
            color: white !important;
        }

        .dark-mode .dropdown-item:hover {
            background-color: #555 !important;
        }

        /* Dark Mode - Make All Cards Black */
        .dark-mode .card {
            background-color: #1e1e1e !important;
            border-color: #333 !important;
            color: #fff !important;
        }

        /* Ensure charts remain visible */
        .dark-mode .chart-container canvas {
            background-color: #1e1e1e !important;
        }

        /* Change chart labels and data to white */
        .dark-mode .chartjs-render-monitor {
            color: #fff !important;
        }

        /* Ensure Pie Chart is properly sized */
        #pieChart {
            max-width: 100% !important;
            height: 250px !important;
        }

        /* Ensure all text is readable in charts */
        .dark-mode .chart-container text {
            fill: #ffffff !important;
        }

        /* Adjust the Card Body Height */
        .card-body {
            height: 300px;
        }

        /* Tables in Dark Mode */
        .dark-mode table {
            background-color: #1e1e1e !important;
            color: #ffffff !important;
        }

        .dark-mode th,
        .dark-mode td {
            border-color: #444 !important;
        }

        /* Ensure buttons remain visible */
        .dark-mode .btn {
            background-color: #333 !important;
            color: #fff !important;
            border-color: #555 !important;
        }

        /* Navbar links in dark mode */
        .dark-mode .navbar a {
            color: #fff !important;
        }

        /* Navbar Gradient */
        .navbar-gradient {
            background: linear-gradient(45deg, #003366, #990000);
            animation: gradient 5s infinite alternate;
        }

        @keyframes gradient {
            0% {
                background-position: left;
            }

            100% {
                background-position: right;
            }
        }

        /* Show dropdown on hover */
        .nav-item.dropdown:hover .dropdown-menu {
            display: block;
            margin-top: 0;
        }

        .profile-circle {
            width: 35px;
            height: 35px;
            background-color: #007bff;
            color: white;
            font-weight: bold;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 50%;
            font-size: 16px;
            text-transform: uppercase;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand-lg navbar-light navbar-gradient">
            <div class="container-fluid">
                <!-- Left side -->
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarContent">
                    <i class="fas fa-bars text-white"></i>
                </button>

                <a href="#" class="navbar-brand text-white d-lg-none">Support Ticket</a>

                <div class="collapse navbar-collapse" id="navbarContent">
                    <ul class="navbar-nav me-auto">
                        <li class="nav-item d-none d-lg-block">
                            <a href="#" class="nav-link text-white">Support Ticket</a>
                        </li>
                    </ul>

                    <!-- Search bar (hidden on small screens) -->
                    <form class="d-none d-lg-flex form-inline mx-auto">
                        <input class="form-control me-3 px-3 py-2" type="search" placeholder="Search" aria-label="Search">
                        <button class="btn btn-outline-primary px-3 py-2" type="submit">
                            <i class="fas fa-search"></i>
                        </button>
                    </form>


                    <!-- Right side -->
                    <ul class="navbar-nav ms-auto">
                        <!-- Search button (for mobile) -->
                        <li class="nav-item d-lg-none">
                            <a class="nav-link text-white" href="#" data-bs-toggle="collapse" data-bs-target="#searchBar">
                                <i class="fas fa-search"></i>
                            </a>
                        </li>

                        <!-- Collapsible search bar for mobile -->
                        <div class="collapse" id="searchBar">
                            <form class="d-flex my-2">
                                <input class="form-control me-2" type="search" placeholder="Search">
                                <button class="btn btn-outline-primary" type="submit">
                                    <i class="fas fa-search"></i>
                                </button>
                            </form>
                        </div>


                        <!-- Language Selector with Nigerian Flag -->
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle text-white d-flex align-items-center" href="#" id="languageDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                <img src="https://flagcdn.com/w40/ng.png" alt="Nigeria" width="25" class="me-3">
                                <span class="me-4 fw-bold">Nigeria</span> <!-- Increased spacing -->
                                <i class="fas fa-globe"></i> <span class="ms-3">Language</span> <!-- More space here -->
                            </a>
                            <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="languageDropdown">
                                <li><a class="dropdown-item" href="#" data-lang="en">English</a></li>
                                <li><a class="dropdown-item" href="#" data-lang="fr">French</a></li>
                                <li><a class="dropdown-item" href="#" data-lang="es">Spanish</a></li>
                                <li><a class="dropdown-item" href="#" data-lang="de">German</a></li>
                            </ul>
                        </li>



                        <!-- Dark mode toggle -->
                        <li class="nav-item">
                            <a class="nav-link text-white" id="toggleDarkMode">
                                <i class="fas fa-moon"></i>
                            </a>
                        </li>

                        <?php
                        // Get the username from the session
                        $username = isset($_SESSION['login']) ? $_SESSION['login'] : "Admin";

                        // Extract first and last letter (handle cases where username is too short)
                        $firstLetter = strtoupper($username[0]);
                        $lastLetter = strtoupper($username[strlen($username) - 1]);

                        // Profile initials
                        $profileInitials = $firstLetter . $lastLetter;
                        ?>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle text-white d-flex align-items-center" href="#" id="userDropdown" data-bs-toggle="dropdown">
                                <div class="profile-circle me-2"><?php echo $profileInitials; ?></div>
                                <span><?php echo ucfirst($username); ?></span>
                            </a>
                            <ul class="dropdown-menu dropdown-menu-end">
                                <li><a class="dropdown-item" href="#">Profile</a></li>
                                <li><a class="dropdown-item" href="#">Settings</a></li>
                                <li>
                                    <hr class="dropdown-divider">
                                </li>
                                <li><a class="dropdown-item text-danger" href="logout.php">Logout</a></li>
                            </ul>
                        </li>

                    </ul>
                </div>
            </div>
        </nav>
    </div>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

    <script>
        // Dark Mode Toggle
        document.getElementById("toggleDarkMode").addEventListener("click", function() {
            document.body.classList.toggle("dark-mode");
        });
    </script>

    <style>
        /* Global Dark Mode Styles */
        .dark-mode {
            background-color: #121212;
            /* Dark background for page */
            color: white;
            /* White text color */
        }

        /* Dark Mode Body */
        .dark-mode body {
            background-color: #121212;
            /* Black background for body */
            color: white;
            /* White text */
        }

        /* Dark Mode Navbar */
        .dark-mode .navbar {
            background: #1f1f1f;
            /* Darker background for navbar */
        }

        /* Dark Mode Sidebar */
        .dark-mode .main-sidebar {
            background-color: #1f1f1f;
            /* Dark background for sidebar */
        }

        .dark-mode .brand-link {
            background-color: #1f1f1f;
            /* Dark background for the brand */
            color: white;
            /* White text color for brand */
        }

        .dark-mode .nav-link {
            color: white;
            /* White text for nav links */
        }

        .dark-mode .nav-link:hover {
            background-color: #333;
            /* Darker background on hover */
        }

        /* Dark Mode Form Controls */
        .dark-mode .form-control,
        .dark-mode .form-select {
            background-color: #333;
            color: white;
            border: 1px solid #555;
        }

        /* Dark Mode Button */
        .dark-mode .btn-outline-primary {
            border-color: white;
            color: white;
        }

        /* Dark Mode Dropdown */
        .dark-mode .dropdown-menu {
            background-color: #222;
        }

        .dark-mode .dropdown-item {
            color: white;
        }

        .dark-mode .dropdown-item:hover {
            background-color: #333;
        }

        /* Dark Mode Cards */
        .dark-mode .small-box {
            background-color: #333;
            /* Dark background for cards */
            color: white;
            /* White text color */
        }

        .dark-mode .small-box .inner h3 {
            font-weight: bold;
            color: white;
            /* Make the text inside the card white */
        }

        .dark-mode .small-box .icon i {
            color: white;
            /* White icons inside the card */
        }

        /* Footer Adjustment for Dark Mode */
        footer.main-footer {
            position: relative;
            bottom: 0;
            width: 100%;
            margin-top: 50px;
            /* Adjust this value depending on how much space you need */
        }
    </style>

    </style>

    <!-- Sidebar -->
    <?php include('sidebar.php'); ?>

    <!-- Content Wrapper -->
    <div class="content-wrapper">
        <!-- Breadcrumb -->
        <div class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0">Support Ticket</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item active">Support Ticket</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <!-- Main content -->

        <?php
require 'conn.php'; // Database connection

// Fetch all open tickets from the tickets table
// Fetch all open tickets with admin response and user reply (if available)
$query = "SELECT t.id, t.issue, t.status, t.created_at, t.province, t.response, t.user_reply
          FROM tickets t
          WHERE t.status = 'open'
          ORDER BY t.created_at DESC";
$stmt = $conn->prepare($query);
$stmt->execute();
$tickets = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!-- Admin Panel: View and Respond to Tickets -->
<!-- Admin Panel: View and Respond to Tickets -->
<div class="container mt-4">
    <h1>Admin Panel - Support Tickets</h1>
    <hr>

    <?php if (empty($tickets)) : ?>
        <div class="alert alert-warning">No open tickets at the moment.</div>
    <?php else : ?>
        <div class="accordion" id="ticketAccordion">
            <?php foreach ($tickets as $ticket) : ?>
                <div class="card">
                    <div class="card-header" id="ticketHeading<?= $ticket['id'] ?>">
                        <h2 class="mb-0">
                            <button class="btn btn-link" type="button" data-bs-toggle="collapse" 
                                    data-bs-target="#ticketCollapse<?= $ticket['id'] ?>" 
                                    aria-expanded="false" aria-controls="ticketCollapse<?= $ticket['id'] ?>">
                                <i class="fas fa-ticket-alt"></i> Ticket #<?= $ticket['id'] ?> - Status: <?= ucfirst($ticket['status']) ?> | Province: <?= $ticket['province'] ?>
                            </button>
                        </h2>
                    </div>

                    <!-- The Collapse Section -->
                    <div id="ticketCollapse<?= $ticket['id'] ?>" class="collapse" aria-labelledby="ticketHeading<?= $ticket['id'] ?>" data-bs-parent="#ticketAccordion">
                        <div class="card-body">
                            <p><strong>Issue:</strong> <?= htmlspecialchars($ticket['issue']) ?></p>
                            <p><strong>Status:</strong> <?= ucfirst($ticket['status']) ?></p>
                            <p><strong>Created At:</strong> <?= date('l, jS F Y - h:i:s A', strtotime($ticket['created_at'])) ?></p>

                            <!-- Admin Response Section -->
                            <?php if (!empty($ticket['response'])) : ?>
                                <div class="mt-3">
                                    <strong>Admin Response:</strong>
                                    <p><?= nl2br(htmlspecialchars($ticket['response'])) ?></p>
                                </div>
                            <?php endif; ?>

                            <!-- User Reply Section -->
                            <?php if (!empty($ticket['user_reply'])) : ?>
                                <div class="mt-3">
                                    <strong>User Reply:</strong>
                                    <p><?= nl2br(htmlspecialchars($ticket['user_reply'])) ?></p>
                                </div>
                            <?php endif; ?>

                            <!-- Admin Response Form -->
                            <?php if ($ticket['status'] == 'open') : ?>
                                <form method="POST" action="admin_response.php">
                                    <div class="mb-3">
                                        <label for="response" class="form-label">Admin Response</label>
                                        <textarea name="response" id="response" rows="4" class="form-control" required></textarea>
                                    </div>
                                    <input type="hidden" name="ticket_id" value="<?= $ticket['id'] ?>">
                                    <button type="submit" name="submit_response" class="btn btn-success">Submit Response</button>
                                </form>
                            <?php endif; ?>

                            <!-- Form for Admin to Close Ticket -->
                            <?php if ($ticket['status'] == 'open') : ?>
                                <form method="POST" action="close_ticket.php" class="mt-3">
                                    <input type="hidden" name="ticket_id" value="<?= $ticket['id'] ?>">
                                    <button type="submit" name="close_ticket" class="btn btn-danger">Close Ticket</button>
                                </form>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
</div>

<style>
    .accordion .collapse .card-body {
        max-height: 400px; /* Adjust this value as per your requirement */
        overflow-y: auto;
    }
</style>

        
        <?php
        include 'conn.php'; // Ensure this file contains your database connection

        // Fetch footer content from the footer table
        $stmt = $conn->query("SELECT * FROM footer ORDER BY id DESC LIMIT 1");
        $footer = $stmt->fetch(PDO::FETCH_ASSOC);
        $copyrightMessage = $footer['copyright_message'] ?? '&copy; ' . date('Y') . ' Directorate of Teens and Children Education.';
        $eventInfo = $footer['event_info'] ?? 'CO-ORDINATOR\'S EVENT REGISTRATION PORTAL v.1.0.0';
        ?>
        <br><br>
        <footer class="text-sm">
            <div class="text-xs" id="copyright">
                <?php echo $copyrightMessage; ?>
                <div class="float-right d-none d-sm-inline-block">
                    <b><?php echo $eventInfo; ?></b>
                </div>
            </div>
        </footer>
    <!-- Modal -->
<div class="modal fade" id="welcomeModal" tabindex="-1" aria-labelledby="welcomeModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg"> <!-- Add modal-lg class for larger size -->
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="welcomeModalLabel">Welcome to the New Admin Portal!</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" id="closeModalButton"></button>
      </div>
      <div class="modal-body">
        <p>We are excited to introduce the new features in the admin portal, giving you greater control and enhanced functionality. Here's what's new:</p>
        <ul>
          <li><strong>Total Control of All Convention Portals</strong> – Manage all convention portals from a single dashboard.</li>
          <li><strong>Approval of All Registrations</strong> – Full control over the approval process for registrations.</li>
          <li><strong>New User Interface</strong> – A sleek, user-friendly interface to enhance your experience.</li>
          <li><strong>General Report</strong> – Access to comprehensive reports to help you make informed decisions.</li>
          <li><strong>Create Admins, Provinces, Regions, and Assign Regions to Zones</strong> – Full administrative control over users and regions.</li>
          <li><strong>Create News and Notifications for All Coordinators</strong> – Easily manage news and notifications for all coordinators across the system.</li>
        </ul>
        <p>We hope you enjoy the enhanced experience and have all the tools you need to manage the portal effectively!</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Got It!</button>
      </div>
    </div>
  </div>
</div>

<!-- Bootstrap JS and dependencies -->
<!-- <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js"></script> -->

<script>
  // Check if the modal has been closed previously using localStorage
  if (!localStorage.getItem('modalClosed')) {
    // Show the modal automatically when the page loads
    var myModal = new bootstrap.Modal(document.getElementById('welcomeModal'));
    myModal.show();
  }

  // Set the flag to not show the modal again once the user clicks close
  document.getElementById('closeModalButton').addEventListener('click', function() {
    localStorage.setItem('modalClosed', 'true');  // Store flag to prevent modal from showing again
  });

  
</script>
<script>
    document.addEventListener("DOMContentLoaded", function() {
        // Initialize all collapses on page load
        var myCollapse = document.querySelectorAll('.collapse');
        var bsCollapse = [...myCollapse].map(collapse => new bootstrap.Collapse(collapse));

        // If there is a stored open accordion, open it
        var openAccordion = localStorage.getItem('openAccordion');
        if (openAccordion) {
            var openElement = document.getElementById(openAccordion);
            if (openElement) {
                var collapseInstance = new bootstrap.Collapse(openElement, {
                    toggle: true
                });
            }
        }

        // Add event listeners to the accordion buttons to toggle open/close and store the state
        var accordionButtons = document.querySelectorAll('[data-bs-toggle="collapse"]');
        
        accordionButtons.forEach(function(button) {
            button.addEventListener('click', function() {
                var targetId = this.getAttribute('data-bs-target').substring(1); // Get the target ID from data-bs-target
                if (document.getElementById(targetId).classList.contains('show')) {
                    // Close the accordion if it is already open
                    localStorage.removeItem('openAccordion');
                } else {
                    // Open the accordion and store the state
                    localStorage.setItem('openAccordion', targetId);
                }
            });
        });
    });
</script>


    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Scripts -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="plugins/intl-tel-input-17.0.0/build/js/intlTelInput.min.js"></script>
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
    <script src="plugins/password-requirement/js/jquery.passwordRequirements.min.js"></script>
    <script src="dist/js/adminlte.min.js"></script>
    <script defer src="scripts/cookies/cookieconsent.js"></script>
    <script defer src="scripts/cookies/cookieconsent-init.js"></script>
    <script src="plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="plugins/jquery-validation/additional-methods.min.js"></script>
    <!-- Include jQuery and Bootstrap JS -->

    
    <script src="https://cdn.jsdelivr.net/npm/apexcharts@3.27.3/dist/apexcharts.min.js"></script>
  

    <!-- Scripts -->
    <script>
        // Function to toggle dark mode and save preference
        function toggleDarkMode() {
            $('body, .main-sidebar, .main-footer, .navbar, .card, .dropdown-menu, table, th, td').toggleClass('dark-mode');

            let isDarkMode = $('body').hasClass('dark-mode');

            // Store dark mode preference in localStorage
            localStorage.setItem('darkMode', isDarkMode ? 'enabled' : 'disabled');

            // Update icon
            let icon = $('#toggleDarkMode').find('i');
            icon.toggleClass('fa-moon fa-sun');
        }

        // Apply dark mode preference on page load
        $(document).ready(function() {
            if (localStorage.getItem('darkMode') === 'enabled') {
                $('body, .main-sidebar, .main-footer, .navbar, .card, .dropdown-menu, table, th, td').addClass('dark-mode');
                $('#toggleDarkMode').find('i').removeClass('fa-moon').addClass('fa-sun'); // Ensure correct icon
            }

            // Toggle dark mode on button click
            $('#toggleDarkMode').click(function() {
                toggleDarkMode();
            });

            // Language selector (no change needed)
            $('#languageSelector').change(function() {
                let selectedLanguage = $(this).val();
                alert("Language switched to: " + selectedLanguage);
                // You can integrate a translation API here.
            });
        });
    </script>

  

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"></script>
    

</body>

</html>